Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 199599 - CodeCompletion took 2061 ms - org.netbeans.modules.csl.editor.completion.GsfCompletionProvider
CodeCompletion took 2061 ms - org.netbeans.modules.csl.editor.completion.GsfC...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: CSL (API & infrastructure)
7.0
All All
: P2 (vote)
: TBD
Assigned To: Svata Dedic
issues@editor
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-21 22:52 UTC by emiddio
Modified: 2012-04-03 14:57 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (50.28 KB, application/nps)
2011-06-21 22:52 UTC, emiddio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description emiddio 2011-06-21 22:52:33 UTC
Build: NetBeans IDE Dev (Build 201106210600)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Windows 7

User Comments:
averri: Wow... 26 seconds for code completion. Thats too bad. I was editing a XHTML file.

GUEST: editing primefaces datatable asset in a xhtml jsf page  this has happened many times before.

Incidentally, I'm using this build because of 7.0  patch update impossible. At least for me. The plug in updater on the tools options doesn't find the update patches and i can't download manually. (Don't know how)

GUEST: waiting for autocomplete on css

emiddio: formatting facelets files take many seconds



Maximum slowness yet reported was 26120 ms, average is 8334
Comment 1 emiddio 2011-06-21 22:52:41 UTC
Created attachment 109035 [details]
nps snapshot
Comment 2 athompson 2012-03-27 17:20:15 UTC
In groovy files, the minimum wait time is over 10 seconds.  Normally it ranges above 20.  Needless to say, it renders CC useless.
Comment 3 Svata Dedic 2012-04-03 12:47:48 UTC
Report #551517, 520189: could not find a significant slowdown in the profiler snapshot.

Report #548872: quite a lot of time is spent in MIME recognizer in file reading - probably blocked by overloaded disk ?

Report #520190: MultiMarks are not used - obsolete report.

CSL should not invoke the CC providers "whenScanFinished", but rather immediately.
Comment 4 Svata Dedic 2012-04-03 14:57:31 UTC
Report #511085 shows normal indexing that blocks the CC. 

Report #510578: attached profiler snapshot does not show any perf issue.


In version 7.2, the parsing is on background and CSL-based CC does not wait for it (fixed by tzezula & dbalek) - http://hg.netbeans.org/jet-main/rev/8c30d396959b

Potential sources for performance improvements from the exception reports were distributed to the relevant module owners, so I consider this issue to be fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo